%define upstreamname Terminal
Name: xfce4-terminal
Version: 0.2.8.3
Release: alt0.M41.1

Summary: Terminal emulator application
License: GPL
Group: Terminals
Url: http://www.xfce.org
Packager: Georgy Kirik <kga@altlinux.ru>

Source: http://download.berlios.de/xfce-goodies/%upstreamname-%version.tar.bz2

BuildPreReq: libexo-devel >= 0.3.92, xfce4-dev-tools >= 4.4.0 intltool
Requires: libxfcegui4 >= 4.4.3, libxfce4mcs >= 4.4.3, libgtk+2-common
BuildPreReq: libxfcegui4-devel >= 4.4.3, libxfce4mcs-devel >= 4.4.3

Obsoletes: Terminal < 0.2.8
Provides: Terminal
# Automatically added by buildreq on Sun Nov 09 2008
BuildRequires: docbook-dtds docbook-style-xsl gcc-c++ glibc-devel-static gnome-doc-utils imake intltool libSM-devel libdbus-glib-devel libexo-devel libstartup-notification-devel libvte-devel time xfce4-dev-tools xorg-cf-files

BuildRequires: ImageMagick

%description
This is the Terminal emulator application. Terminal is a lightweight and
easy to use terminal emulator for X windowing system with some new ideas
and features that makes it unique among X terminal emulators.

%prep
%setup -q -n %upstreamname-%version

%build
libtoolize --force --copy
intltoolize --force
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf
%configure \
    --enable-startup-notification \
    --enable-dbus \
    --enable-xsltproc \
    --enable-xml2po \
    --disable-debug

%make_build

%install
%makeinstall
for size in 16x16 32x32 48x48 ; do
    mkdir -p %buildroot%_iconsdir/hicolor/$size/apps
    convert %buildroot%_pixmapsdir/terminal.xpm -size $size %buildroot%_iconsdir/hicolor/$size/apps/terminal.png
done
%find_lang %upstreamname

%post
/usr/bin/gtk-update-icon-cache
%update_menus
%postun
/usr/bin/gtk-update-icon-cache
%update_menus

%files -f %upstreamname.lang
%doc %_docdir/%upstreamname
%doc ChangeLog INSTALL README TODO THANKS HACKING
%_bindir/*
%_libexecdir/*
%_mandir/man?/*
%_datadir/%upstreamname
%_pixmapsdir/*
%_desktopdir/*
%_iconsdir/hicolor/*/*/*
%exclude %_iconsdir/hicolor/*.cache

%changelog
* Tue Dec 27 2008 George Kirik <kga@altlinux.org> 0.2.8.3-alt0.M41.1
- backport Xfce 4.4.3 from Sisyphus to branch 4.1

* Mon Nov 10 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.2.8.3-alt1
- Xfce 4.4.3 relese

* Wed Mar 12 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.2.8-alt2
- fix icons (tnx repocop)
- fix scripts (tnx repocop)

* Tue Jan 15 2008 Eugene Ostapets <eostapets@altlinux.org> 0.2.8-alt1
- Xfce 4.4.2 relese
- rename package

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.2.6-alt0.1
- Xfce 4.4 release

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.5.8-alt1.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.2.5.8-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  0.2.5.6rc1-alt2
- Fix buildreq and cleanup spec 

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.2.5.6rc1-alt1
- Xfce 4.4rc1

* Wed Apr 19 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.4-alt1.1.1
- Rebuild with dbus-0.61-alt1 .

* Sat Jul 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.4-alt1.1
- rebuild with new libdbus-1.so.0 .

* Sun Mar 20 2005 Andrey Astafiev <andrei@altlinux.ru> 0.2.4-alt1
- 0.2.4

* Sat Dec 25 2004 Andrey Astafiev <andrei@altlinux.ru> 0.2.2pre1-alt0.2
- First version of RPM package for Sisyphus.
